image: maven:3.3-jdk-8

cache:
  paths:
    - .m2/repository/
    - target/

build-leaseplanassignment:
  stage: build
  script:
    - echo "This job build leaseplan assignment automation Project."
    - mvn clean

test-leaseplanassignment:
  stage: test
  script:
    - echo "This job run testcases of leaseplan assignment automation Project."
    - mvn verify
    - echo "This job copy test report of leaseplan assignment automation Project to public directory."
    - mkdir public
    - mv target/site/serenity/* public
  artifacts:
    when: always
    paths:
      - public
    expire_in: 1 week
